## php-guzzlehttp-uri-template 1.0.4

=== Makefile ===
test:
	php vendor/bin/phpunit tests/ --colors=always

static: static-phpstan static-psalm static-codestyle-check

static-phpstan:
	composer install
	composer bin phpstan update
	vendor/bin/phpstan analyze $(PHPSTAN_PARAMS)

static-psalm:
	composer install
	composer bin psalm update
	vendor/bin/psalm.phar $(PSALM_PARAMS)

static-codestyle-fix:
	composer install
	composer bin php-cs-fixer update
	vendor/bin/php-cs-fixer fix --diff $(CS_PARAMS)

static-codestyle-check:
	$(MAKE) static-codestyle-fix CS_PARAMS="--dry-run"

## php-guzzlehttp-uri-template 1.0.3

=== debian/changelog ===
php-guzzlehttp-uri-template (1.0.3-1) unstable; urgency=medium

  * Initial release (new Laravel dependency, see #1051985)

 -- David Prévot <taffit@debian.org>  Wed, 24 Jul 2024 10:39:32 +0900

=== debian/control ===
Source: php-guzzlehttp-uri-template
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>, Robin Gustafsson <rgson@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, phpab, phpunit
Standards-Version: 4.7.0
Homepage: https://github.com/guzzle/uri-template
Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-uri-template.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-uri-template
Rules-Requires-Root: no

Package: php-guzzlehttp-uri-template
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 ${phpcomposer:description}.

## php-guzzlehttp-uri-template 1.0.4

=== debian/changelog ===
php-guzzlehttp-uri-template (1.0.4-1) unstable; urgency=medium

  * Team upload

  [ Graham Campbell ]
  * PHP 8.4 support
  * Release 1.0.4

  [ David Prévot ]
  * Remove self from uploaders
  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 18:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: David Prévot <taffit@debian.org>, Robin Gustafsson <rgson@debian.org>
+Uploaders: Robin Gustafsson <rgson@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, phpab, phpunit
 Standards-Version: 4.7.0
 Homepage: https://github.com/guzzle/uri-template

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	phpabtpl --require-file ../src/autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require guzzlehttp/uri-template > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: patch, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/guzzle/uri-template \
refs/tags/v?(\d.+)
